# Uses of Interface
org.eclipse.emf.cdo.lm.reviews.TopicContainer

Packages that use TopicContainer
Package
Description
org.eclipse.emf.cdo.lm.reviews
org.eclipse.emf.cdo.lm.reviews.impl
org.eclipse.emf.cdo.lm.reviews.util

## Uses of TopicContainer in org.eclipse.emf.cdo.lm.reviews

Subinterfaces of TopicContainer in org.eclipse.emf.cdo.lm.reviews
Modifier and Type
Interface
Description
`interface`
`DeliveryReview`
A representation of the model object 'Delivery Review'.
`interface`
`DropReview`
A representation of the model object 'Drop Review'.
`interface`
`Review`
A representation of the model object 'Review'.
`interface`
`ReviewTemplate`
A representation of the model object 'Review Template'.
`interface`
`Topic`
A representation of the model object 'Topic'.
Methods in org.eclipse.emf.cdo.lm.reviews that return TopicContainer
Modifier and Type
Method
Description
`TopicContainer`
Comment.`getContainer()`
Returns the value of the 'Container' container reference.
`TopicContainer`
Topic.`getContainer()`
Returns the value of the 'Container' container reference.
Methods in org.eclipse.emf.cdo.lm.reviews with parameters of type TopicContainer
Modifier and Type
Method
Description
`void`
Comment.`setContainer(TopicContainer value)`
Sets the value of the '`Container`' container reference.
`void`
Topic.`setContainer(TopicContainer value)`
Sets the value of the '`Container`' container reference.

## Uses of TopicContainer in org.eclipse.emf.cdo.lm.reviews.impl

Classes in org.eclipse.emf.cdo.lm.reviews.impl that implement TopicContainer
Modifier and Type
Class
Description
`class`
`DeliveryReviewImpl`
An implementation of the model object 'Delivery Review'.
`class`
`DropReviewImpl`
An implementation of the model object 'Drop Review'.
`class`
`ReviewImpl`
An implementation of the model object 'Review'.
`class`
`ReviewTemplateImpl`
An implementation of the model object 'Review Template'.
`class`
`TopicContainerImpl`
An implementation of the model object 'Commentable'.
`class`
`TopicImpl`
An implementation of the model object 'Topic'.
Methods in org.eclipse.emf.cdo.lm.reviews.impl that return TopicContainer
Modifier and Type
Method
Description
`TopicContainer`
CommentImpl.`getContainer()`
`TopicContainer`
TopicImpl.`getContainer()`
Methods in org.eclipse.emf.cdo.lm.reviews.impl with parameters of type TopicContainer
Modifier and Type
Method
Description
`NotificationChain`
CommentImpl.`basicSetContainer(TopicContainer newContainer, NotificationChain msgs)`
`NotificationChain`
TopicImpl.`basicSetContainer(TopicContainer newContainer, NotificationChain msgs)`
`static TopicContainerImpl.TopicStatistics`
TopicContainerImpl.`getTopicStatistics(TopicContainer container)`
`void`
CommentImpl.`setContainer(TopicContainer newContainer)`
`void`
TopicImpl.`setContainer(TopicContainer newContainer)`

## Uses of TopicContainer in org.eclipse.emf.cdo.lm.reviews.util

Methods in org.eclipse.emf.cdo.lm.reviews.util with parameters of type TopicContainer
Modifier and Type
Method
Description
`T`
ReviewsSwitch.`caseTopicContainer(TopicContainer object)`
Returns the result of interpreting the object as an instance of 'Topic Container'.